Subject: gianfar: multiqueue, vlan pbits -> qos?

From: "Randy Macleod" <[email-masked]>
Date: Sat, 29 Mar 2008 15:47:25 -0400

Hey Netdevers...

  I'm looking into extending the gianfar driver to
make use of multiple rx (and maybe tx) queues.
I've started to read the gianfar source, the Freescale docs and netdev.

Has anyone done this already?

My interest is in LAN network QOS,
primarily selective discard under overload.
I'm thinking that I'll create several vlans in my
network and do a strict vlan priority bit based servicing.

I'm also poking at the multi-queue work that has been
done and wondering how that might fit into a solution.
I haven't read the e1000 multiqueue driver yet...

Any tips, flames or code?

Thanks,
// Randy